#!/usr/bin/env ruby
# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

$LOAD_PATH << "../../lib" unless $LOAD_PATH.include?("../../lib")
require "qwik/test-common"
require "qwik/act-style"

class CheckExtCss < Test::Unit::TestCase
  include TestSession

  def test_all
    # test_extcss_nosuch
    session("/.css/http://nosuchhostname/q.css")
    assert_text("Access Failed", "title")

    # test_extcss_hatena
    session("/.css/http://d.hatena.ne.jp/theme/clover/clover.css")
    if @res.body.is_a?(Array)
      assert_text("Access Failed", "title")
    else
      #qp @res.body.length
      #assert_equal(true, 1000 < @res.body.length)
    end
  end
end
